const WxParse = require('../../../wxParse/wxParse.js');
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    bgImg: app.globalData.bgImg,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.showLoading({
      title: '加载中',
    })
    wx.request({
      url: app.globalData.ip + '/wisdommining/api/banner/getPromotion',
      method: 'GET',
      header: {
        "content-type": "application/x-www-form-urlencoded",
      },
      data: {},
      success: res => {
        console.log(res)
        wx.hideLoading()
        if (res.data.code == 1) {
          WxParse.wxParse('article', 'html', res.data.value.welfarePhoto, this, 20);
        } else {
          wx.showModal({
            title: '获取数据失败!',
            content: res.data.message,
            showCancel: false,
          })
        }
      }
    })
  },

})