// pages/ourteam/ourteam.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    bgImg: app.globalData.bgImg,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.showLoading({
      title: '加载中..',
    })
    wx.request({
      url: app.globalData.ip + '/wisdommining/api/user/getTeam',
      method: 'GET',
      header: {
        "content-type": "application/x-www-form-urlencoded",
      },
      data: {
        userId: app.globalData.userId
      },
      success: res => {
        wx.hideLoading()
        console.log(res)
        if (res.data.code == 1) {
          this.setData({
            dataList: res.data.value,
          })
        } else {
          wx.showModal({
            title: '提示!',
            content: res.data.message,
            showCancel: false,
          })
        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
})