// pages/coupon/coupon.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    bgImg: app.globalData.bgImg,
    img: app.globalData.img,
    thisid: 0,
    titleList: [{
        id: 0,
        title: "待使用"
      },
      {
        id: 1,
        title: "已使用"
      },
      {
        id: 2,
        title: "已过期"
      },
    ],
  },
  //状态切换
  tabSelect(e) {
    this.setData({
      thisid: e.currentTarget.dataset.id,
    })
    this.orderListInit()
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    
  },

   /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
    this.orderListInit()
  },
  
  orderListInit() {
    wx.showLoading({
      title: '加载中..',
    })
    wx.request({
      url: app.globalData.ip + '/wisdommining/api/user/getUserPackage',
      method: 'GET',
      header: {
        "content-type": "application/x-www-form-urlencoded",
      },
      data: {
        userId:app.globalData.userId,
        type: this.data.thisid
      },
      success: res => {
        console.log(res.data)
        wx.hideLoading()
        if (res.data.code == 1) {
          this.setData({
            dataList:res.data.value
          })
        } else {
          wx.showModal({
            title: '提示!',
            content: res.data.message,
            showCancel: false,
          })
        }
      }
    })
  },
  //立即使用
  ljsy(e){
    wx.navigateTo({
      url: '/pages/welfare/welfare?id='+e.currentTarget.dataset.id,
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

 

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },
})