// pages/my/my_bill/my_bill.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    typeActive:0,
    state:0,//0全部 1套餐券 2折扣券 3现金券 4积分 5微信支付
    typeShow:false,
    name:'全部',
    type:[
      {name:'全部',state:0},
      {name:'套餐券',state:1},
      {name:'折扣券',state:2},
      {name:'现金券',state:3},
      {name:'积分',state:4},
      {name:'微信支付',state:5},
    ],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.dataList()
  },
  //分类显示
  typeShow(){
    this.setData({
      typeShow:true
    })
  },
  typeActive(e){
    let index = e.currentTarget.dataset.index;
    let name = e.currentTarget.dataset.name;
    let state = e.currentTarget.dataset.state;
    this.setData({
      typeActive:index,
      name:name,
      typeShow:false,
      state:state,
    })
    this.dataList()
  },

  dataList(e){
    wx.showLoading({
      title: '加载中..',
    })
    wx.request({
      url: app.globalData.ip + '/wisdommining/api/user/getBill',
      method: 'GET',
      header: {
        "content-type": "application/x-www-form-urlencoded",
      },
      data: {
        userId: app.globalData.userId,
        category:this.data.state
      },
      success: res => {
        wx.hideLoading()
        console.log(res)
        if (res.data.code == 1) {
          this.setData({
            dataList: res.data.value,
          })
        } else {
          wx.showModal({
            title: '提示!',
            content: res.data.message,
            showCancel: false,
          })
        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
})